Package com.independentsoft.office.spreadsheet

# Class Selection

java.lang.Object
com.independentsoft.office.spreadsheet.Selection

public class Selection extends Object
The Class Selection.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Selection()`
  Instantiates a new selection.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Selection`
  `clone()`
  `int`
  `getActiveCellIndex()`
  Gets the active cell index.
  `String`
  `getActiveCellLocation()`
  Gets the active cell location.
  `PaneType`
  `getPaneType()`
  Gets the pane type.
  `String`
  `getReferenceSequence()`
  Gets the reference sequence.
  `void`
  `setActiveCellIndex​(int activeCellIndex)`
  Sets the active cell index.
  `void`
  `setActiveCellLocation​(String activeCellLocation)`
  Sets the active cell location.
  `void`
  `setPaneType​(PaneType paneType)`
  Sets the pane type.
  `void`
  `setReferenceSequence​(String referenceSequence)`
  Sets the reference sequence.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Selection

    public Selection()
    Instantiates a new selection.

- ## Method Details

  - ### clone

    public Selection clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getActiveCellLocation

    public String getActiveCellLocation()
    Gets the active cell location.
    Returns:
      the active cell location

  - ### setActiveCellLocation

    public void setActiveCellLocation​(String activeCellLocation)
    Sets the active cell location.
    Parameters:
      `activeCellLocation` - the new active cell location

  - ### getActiveCellIndex

    public int getActiveCellIndex()
    Gets the active cell index.
    Returns:
      the active cell index

  - ### setActiveCellIndex

    public void setActiveCellIndex​(int activeCellIndex)
    Sets the active cell index.
    Parameters:
      `activeCellIndex` - the new active cell index

  - ### getPaneType

    public PaneType getPaneType()
    Gets the pane type.
    Returns:
      the pane type

  - ### setPaneType

    public void setPaneType​(PaneType paneType)
    Sets the pane type.
    Parameters:
      `paneType` - the new pane type

  - ### getReferenceSequence

    public String getReferenceSequence()
    Gets the reference sequence.
    Returns:
      the reference sequence

  - ### setReferenceSequence

    public void setReferenceSequence​(String referenceSequence)
    Sets the reference sequence.
    Parameters:
      `referenceSequence` - the new reference sequence